/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2000. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  DS_READ                         1       /* callback function: ClosePanelCB */
#define  DS_READ_FILE                    2       /* callback function: ReadFileCB */
#define  DS_READ_EXIT                    3       /* callback function: ExitReadCB */
#define  DS_READ_UPDATE                  4       /* callback function: UpdateCB */
#define  DS_READ_CONNECT                 5       /* callback function: ConnectReadCB */
#define  DS_READ_DISCONNECT              6       /* callback function: DisconnectReadCB */
#define  DS_READ_SOURCE                  7
#define  DS_READ_ERROR_MSG               8
#define  DS_READ_MSG                     9
#define  DS_READ_RD_DSP                  10
#define  DS_READ_INDEX                   11
#define  DS_READ_RESET                   12      /* callback function: ResetSourceCB */
#define  DS_READ_DECORATION              13
#define  DS_READ_DECORATION_2            14


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ClosePanelCB(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ConnectReadCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DisconnectReadCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ExitReadCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ReadFileCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ResetSourceCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UpdateCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
