/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2001. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  AWG_PNL                         1
#define  AWG_PNL_EXIT                    2       /* callback function: ExitAWGCB */
#define  AWG_PNL_DISP                    3
#define  AWG_PNL_WAVE_SHAPE              4
#define  AWG_PNL_FREQ                    5
#define  AWG_PNL_IMP                     6       /* callback function: ImpedanceSelectorCB */
#define  AWG_PNL_DC_50HMS                7
#define  AWG_PNL_OPEN_DC                 8
#define  AWG_PNL_CLEAR                   9       /* callback function: ClearTextBoxCB */
#define  AWG_PNL_AMP_OPEN_OHMS           10
#define  AWG_PNL_AMP_50_OHMS             11
#define  AWG_PNL_CONFIG_AWG              12      /* callback function: ConfigAWGCB */
#define  AWG_PNL_FIND_RES                13      /* callback function: FindResourcesCB */
#define  AWG_PNL_DECORATION_4            14
#define  AWG_PNL_DECORATION_12           15
#define  AWG_PNL_DECORATION_13           16
#define  AWG_PNL_TEXTMSG_21              17
#define  AWG_PNL_DECORATION_14           18
#define  AWG_PNL_DECORATION_19           19
#define  AWG_PNL_DECORATION_3            20


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ClearTextBoxCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ConfigAWGCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ExitAWGCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK FindResourcesCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ImpedanceSelectorCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
