/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2001. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_STOP_CMD                  2       /* callback function: StopAcquisitionCB */
#define  PANEL_QUIT_BUTTON               3       /* callback function: QuitAcquisitionCB */
#define  PANEL_START_BUTTON              4       /* callback function: StartAcquisitionCB */
#define  PANEL_ERROR_BOX                 5
#define  PANEL_CHL_STR                   6
#define  PANEL_SCAN_SW                   7       /* callback function: Continuous_ScansCB */
#define  PANEL_SCAN_NMBR                 8       /* callback function: NumberOfScanCB */
#define  PANEL_SCAN_RATE                 9       /* callback function: ScanRateCB */
#define  PANEL_STRIP_CHART               10
#define  PANEL_PLOT_TIMER                11      /* callback function: TimerTickCallback */
#define  PANEL_DECORATION                12


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK Continuous_ScansCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK NumberOfScanCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitAcquisitionCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ScanRateCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK StartAcquisitionCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK StopAcquisitionCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TimerTickCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
