/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2001. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  OGLPANEL                        1
#define  OGLPANEL_COLORMAP               2
#define  OGLPANEL_EXIT                   3       /* callback function: ExitCB */
#define  OGLPANEL_PRINT                  4       /* callback function: PrintCB */
#define  OGLPANEL_LOAD                   5       /* callback function: LoadPlotCB */
#define  OGLPANEL_HELP                   6       /* callback function: HelpCB */
#define  OGLPANEL_COLOR_OUT              7
#define  OGLPANEL_DECORATION             8
#define  OGLPANEL_OGL_CTRL               9       /* callback function: PropertiesCB */
#define  OGLPANEL_DECORATION_2           10


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ExitCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK HelpCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LoadPlotCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PrintCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PropertiesCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
