/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1999. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CURSORS                         1
#define  CURSORS_GRAPH                   2       /* callback function: UpdateMarker */
#define  CURSORS_PLOT                    3       /* callback function: PlotData */
#define  CURSORS_QUIT                    4       /* callback function: Shutdown */
#define  CURSORS_INDEX                   5
#define  CURSORS_YREADOUT                6
#define  CURSORS_XREADOUT                7
#define  CURSORS_ZOOM_RING               8       /* callback function: SelectZoomCB */
#define  CURSORS_TEXTMSG_2               9
#define  CURSORS_DECORATION_3            10
#define  CURSORS_DECORATION              11
#define  CURSORS_DECORATION_4            12
#define  CURSORS_DECORATION_5            13
#define  CURSORS_DECORATION_2            14
#define  CURSORS_TEXTMSG                 15


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK PlotData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SelectZoomCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UpdateMarker(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
