/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2000. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CURSORS                         1
#define  CURSORS_GRAPH                   2
#define  CURSORS_PLOT                    3       /* callback function: PlotData */
#define  CURSORS_QUIT                    4       /* callback function: Shutdown */
#define  CURSORS_INDEX                   5
#define  CURSORS_YREADOUT                6
#define  CURSORS_XREADOUT                7
#define  CURSORS_ZOOM_RING               8       /* callback function: SelectZoomCB */
#define  CURSORS_REMOVE                  9       /* callback function: RemoveLegendCB */
#define  CURSORS_ADD                     10      /* callback function: AddLegendCB */
#define  CURSORS_DELETE_ITEM             11      /* callback function: DeleteLegendItemCB */
#define  CURSORS_INSERT_ITEM             12      /* callback function: InsertLegendItemCB */
#define  CURSORS_TEXTMSG_2               13
#define  CURSORS_DECORATION_3            14
#define  CURSORS_DECORATION              15
#define  CURSORS_DECORATION_4            16
#define  CURSORS_DECORATION_5            17
#define  CURSORS_DECORATION_2            18
#define  CURSORS_TEXTMSG                 19
#define  CURSORS_DECORATION_6            20
#define  CURSORS_TEXTMSG_3               21
#define  CURSORS_MARKER_TIMER            22      /* callback function: ContinuousUpdate */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK AddLegendCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ContinuousUpdate(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DeleteLegendItemCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK InsertLegendItemCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PlotData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RemoveLegendCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SelectZoomCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
