/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2001. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PLOTS                           1
#define  PLOTS_GRAPH                     2       /* callback function: UpdateMarkerCB */
#define  PLOTS_PLOT                      3       /* callback function: PlotData */
#define  PLOTS_QUIT                      4       /* callback function: Shutdown */
#define  PLOTS_PLOT_RING                 5
#define  PLOTS_COLOR_SELECT              6
#define  PLOTS_FILL_COLOR                7
#define  PLOTS_CLEAR_PLOT                8       /* callback function: ClearPlotCB */
#define  PLOTS_DECORATION_3              9
#define  PLOTS_DECORATION                10
#define  PLOTS_DECORATION_6              11
#define  PLOTS_DECORATION_4              12


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ClearPlotCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PlotData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UpdateMarkerCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
