/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2000. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  WRT                             1
#define  WRT_STATUS                      2
#define  WRT_SOURCE                      3
#define  WRT_EXIT                        4       /* callback function: ExitCB */
#define  WRT_DISCONNECT                  5       /* callback function: DisconnectCB */
#define  WRT_WRT_CON                     6       /* callback function: ConnectCB */
#define  WRT_DSP_DATA                    7
#define  WRT_INDX                        8
#define  WRT_WRITE_FILE                  9       /* callback function: WriteToFileCB */
#define  WRT_RST                         10      /* callback function: ResetCB */
#define  WRT_TIMER                       11      /* callback function: TimerCallback */
#define  WRT_DECORATION                  12
#define  WRT_DECORATION_2                13


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ConnectCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DisconnectCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ExitCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ResetCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TimerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK WriteToFileCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
