/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2001. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PNL                             1       /* callback function: ClosePanelCB */
#define  PNL_TAB                         2       /* callback function: TableCB */
#define  PNL_LOAD                        3       /* callback function: LoadDataCB */
#define  PNL_QUIT                        4       /* callback function: QuitCB */
#define  PNL_SEARCH                      5       /* callback function: SearchCB */
#define  PNL_RESET                       6       /* callback function: ResetTableCB */
#define  PNL_RNG                         7       /* callback function: SortResultsCB */
#define  PNL_H_GRID                      8       /* callback function: HorizontalGridCB */
#define  PNL_DISPLAY                     9       /* callback function: DisplayFromClipboardCB */
#define  PNL_SEL_COL                     10      /* callback function: SortColumnSelectCB */
#define  PNL_DECORATION                  11
#define  PNL_DECORATION_3                12
#define  PNL_DECORATION_6                13
#define  PNL_DECORATION_5                14
#define  PNL_TEXTMSG                     15
#define  PNL_DECORATION_2                16
#define  PNL_DECORATION_7                17
#define  PNL_TEXTMSG_2                   18


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ClosePanelCB(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DisplayFromClipboardCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK HorizontalGridCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LoadDataCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ResetTableCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SearchCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SortColumnSelectCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SortResultsCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TableCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
